XAMPP v1.7.2 problems with MySQL: reverted to 1.6.8

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XAMPP v1.7.2 problems with MySQL: reverted to 1.6.8

Postby mgaved » 25. August 2009 12:40

Hi all - like other folk I've been having some problems with getting MySQL to run with XAMPP v1.7.2. I am loading this onto an Asus Eee PC model 701 running Xandros OS.

The error I've been getting is "ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)"

- I can't seem to get MySQL up and running. Looks like it's some kind of permissions issues though some quick tinkering doesn't seem to solve it and I am loathe to get into lots of hacking around - the wonderful thing about XAMPP (thanks guys, you are amazing, and very much appreciated) is that the system 'just works'.

Disclaimer - I am not a linux or MySQL guru.

A solution that worked for me was to flash the Asus laptop back to factory settings, and to start again but using XAMPP version 1.6.8 . This works first time without problems.

Looking forward to a more elegant solution but for those people really stuck and not sure about how to proceed, wiping the v1.7.2 install and going to v.1.6.8 works for me.

Apologies if I am missing something obvious, I'd be very happy to be shown a simple fix.

all the best and thanks again for XAMPP guys!
mgaved
 
Posts: 1
Joined: 25. August 2009 11:47

Re: XAMPP v1.7.2 problems with MySQL: reverted to 1.6.8

Postby Wiedmann » 25. August 2009 13:08

The error I've been getting is "ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)"

What yore you doing exactly while you are getting this error?

(I guess e.g. phpMyAdmin from XAMPP, or the XAMPP demopage is working without problems?)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: XAMPP v1.7.2 problems with MySQL: reverted to 1.6.8

Postby sr_pedro » 28. August 2009 23:41

Hi,
Simliar issue here in that MySQL won't start. Running ubuntu 8.4.1
Starting XAMPP for Linux 1.7.2...
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Starting MySQL...
XAMPP: Couldn't start MySQL!
XAMPP: Starting ProFTPD...
XAMPP for Linux started.

excerpt from error log located (/opt/lampp/var/mysql/):
"090828 18:24:37 mysqld_safe Starting mysqld daemon with databases from /opt/lampp/var/mysql
090828 18:24:37 [Note] Plugin 'FEDERATED' is disabled.
/opt/lampp/sbin/mysqld: Can't find file: './mysql/plugin.frm' (errno: 13)
090828 18:24:37 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
090828 18:24:38 InnoDB: Operating system error number 13 in a file operation.
InnoDB: The error means mysqld does not have the access rights to
InnoDB: the directory.
InnoDB: File name /opt/lampp/var/mysql/ibdata1
InnoDB: File operation call: 'create'.
InnoDB: Cannot continue operation.
090828 18:24:38 mysqld_safe mysqld from pid file /opt/lampp/var/mysql/ubuntu8041.pid ended

It looks like a permission issue to me but I have no idea how to fix. Any insight would be greatly appreciated.
sr_pedro
 
Posts: 1
Joined: 28. August 2009 23:30

Re: XAMPP v1.7.2 problems with MySQL: reverted to 1.6.8

Postby PedroMagueija » 04. September 2009 20:37

090828 18:24:37 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.


Have you ran the mysql_upgrade? I believe it's mandatory. When I upgraded from 1.7.1 -> 1.7.2 it also had me run that command.
PedroMagueija
 
Posts: 5
Joined: 30. December 2008 21:52


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests